Bug 603670 - koji giving connection refused error in debian
koji giving connection refused error in debian
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 06:23 EDT by Praveen Arimbrathodiyil
Modified: 2013-06-17 00:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Praveen Arimbrathodiyil 2010-06-14 06:23:14 EDT
Description of problem:

I'm trying to package koji for debian and I get the following error when running koji

I have the required dependencies installed. Both f13 and debian share /home and koji is working as expected in fedora. debian is run in a chroot environment. It would be better to have more verbose messages with clues to fix any configuration issues.


koji -d list-targets
Traceback (most recent call last):
  File "/usr/bin/koji", line 4679, in <module>
    rv = locals()[command].__call__(options, session, args)
  File "/usr/bin/koji", line 2816, in anon_handle_list_targets
    activate_session(session)
  File "/usr/bin/koji", line 4665, in activate_session
    ensure_connection(session)
  File "/usr/bin/koji", line 183, in ensure_connection
    ret = session.getAPIVersion()
  File "/usr/lib/pymodules/python2.5/koji/__init__.py", line 1302, in __call__
    return self.__func(self.__name,args,opts)
  File "/usr/lib/pymodules/python2.5/koji/__init__.py", line 1528, in _callMethod
    return proxy.__getattr__(name)(*args)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1147, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1437, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.5/xmlrpclib.py", line 1183, in request
    self.send_content(h, request_body)
  File "/usr/lib/python2.5/xmlrpclib.py", line 1297, in send_content
    connection.endheaders()
  File "/usr/lib/python2.5/httplib.py", line 860, in endheaders
    self._send_output()
  File "/usr/lib/python2.5/httplib.py", line 732, in _send_output
    self.send(msg)
  File "/usr/lib/python2.5/httplib.py", line 699, in send
    self.connect()
  File "/usr/lib/python2.5/httplib.py", line 683, in connect
    raise socket.error, msg
socket.error: (111, 'Connection refused')
pravi@savannah:/media/forge/debian/koji/git/koji$
Comment 1 Mike McLean 2010-06-17 17:36:22 EDT
tracebacks are very verbose, they're just a bit overwhelming ;)

In this case, 'connection refused' is really all koji can reasonably be expected to say. I suspect you either have a network issue in your debian chroot, or your config is pointing to an incorrect server. Possibly the latter. In many cases the server setting comes from /etc/koji.conf rather than ~/.koji/config. Does you debian chroot have that file?

the --debug-xmlrpc option may provide a bit for detail for an issue like this.
Comment 2 Bug Zapper 2011-06-02 06:57:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:11:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.